KeyError пытается создать отфильтрованный фрейм данных

58
8

Я не могу понять этого за последние два часа. Я продолжаю получать KeyError при попытке построить фильтрованный фрейм. Вот код кадра данных, который я хочу построить (я ищу, чтобы иметь x-axis= 'LengthService' и y-axis= 'AbsentHours'):

df2_ls = df2['LengthService'] >= 4.0
df2['AbsentHours'] >= 100
df2[df2_ls].head()

df2_ls = pd.DataFrame(df2_ls)

@RafaelC Вот df2 columns: Index (['EmployeeNumber', 'Gender', 'LengthService', 'AbsentHours'], dtype = 'object')

Я чувствую, что мне нужно re-index столбцы или определить определенные столбцы в качестве keys может быть?

Вот KeyError сообщений KeyError:

    -> 3078                 return self._engine.get_loc(key)
KeyError: 'AbsentHours'

During handling of the above exception, another exception occurred:

KeyError Traceback (most recent call last)
<ipython-input-89-2c9592ccb984> in <module>()
1 # Male bar plot
2
----> 3 Male = df3_ls.plot.bar(x='LengthService', y='AbsentHours', rot=0)
4

спросил(а) 2018-08-21T06:03:00+03:00 1 год, 3 месяца назад
0
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема